Subject: Re: What's cooking in git.git (Dec 2015, #02; Fri, 4)

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Dec 2015 16:24:30 -0800

Jeff King <[email-masked]> writes:

> On Sun, Dec 06, 2015 at 10:12:18AM -0600, Edmundo Carmona Antoranz wrote:
>
>> Hi, Junio, Jeff!
>> 
>> On Fri, Dec 4, 2015 at 5:15 PM, Junio C Hamano <[email-masked]> wrote:
>> > * ec/annotate-deleted (2015-11-20) 1 commit
>> >  - annotate: skip checking working tree if a revision is provided
>> >
>> >  Usability fix for annotate-specific "<file> <rev>" syntax with deleted
>> >  files.
>> >
>> >  Waiting for review.
>> 
>> Is there something I have to do about it?
>
> A gentle ping is sometimes helpful. :)
>
> I did not see anything wrong with it, but I think Junio would be a good
> person to give it a look, as he knows all of the sordid history of blame
> versus annotate, and the intended allowed command-line orderings.

If you bring "intended allowed command-line orderings" into the
picture, then I would have to say that any effort that encourages
the use of paths before revs like this patch does should be frowned
upon---if anything, we should actively discouraging people from
feeding paths before revs, and this change goes in a wrong direction
by adding a special case only to annotate, giving another excuse to
people who think "git log path rev" should work "because annotate
does".

If the change is just to 'annotate path rev', and does not change
'blame path rev', it would be less distasteful, though.

I'd have to think about it.